Summary:         The GNOME virtual file-system libraries
Name:            gnome-vfs
Version:         1.0.3
Release:         1
License:         LGPL
Group:           System Environment/Libraries
Source:          ftp://ftp.gnome.org/pub/GNOME/sources/%name/%name-%{version}.tar.gz
URL:             http://www.gnome.org/
BuildRoot:       %{_tmppath}/%{name}-%{version}-root
Requires:        GConf >= 0.9
BuildRequires:   gnome-libs-devel
BuildRequires:   gtk+-devel >= 1.2.0
BuildRequires:   GConf-devel >= 0.9

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of the
Nautilus file manager. It provides a modular architecture and ships with
several modules that implement support for file systems, http, ftp and others.
It provides a URI-based API, a backend supporting asynchronous file operations,
a MIME type manipulation library and other features.

%package devel
Summary:    Libraries and include files for developing GNOME VFS applications.
Group:      Development/Libraries
Requires:   %name = %{version}
Requires:   GConf-devel >= 0.9
Requires:   gtk+-devel >= 1.2.0
Requires:   gnome-libs-devel

%description devel
This package provides the necessary development libraries for writing
GNOME VFS modules and applications that use the GNOME VFS APIs.

%prep
%setup -q

%build
%ifarch alpha
    MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif
# Needed for snapshot releases.
MYCFLAGS="$RPM_OPT_FLAGS"
if [ ! -f configure ]; then
    CFLAGS="$MYCFLAGS" ./autogen.sh $MYARCH_FLAGS \
	--enable-more-warnings --prefix=%{_prefix} \
	--localstatedir=/var/lib --sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} --libdir=%{_libdir} \
	--includedir=%{_includedir}
fi

CFLAGS="$MYCFLAGS" ./configure $MYARCH_FLAGS --enable-more-warnings \
    --prefix=%{_prefix} --localstatedir=/var/lib \
    --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} \
    --libdir=%{_libdir} --includedir=%{_includedir}

make -k

%install
rm -rf $RPM_BUILD_ROOT

make -k sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
    prefix=$RPM_BUILD_ROOT%{_prefix} mandir=$RPM_BUILD_ROOT%{_mandir} \
    libdir=$RPM_BUILD_ROOT%{_libdir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} install

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/gnome-vfs-mime-magic
%config(noreplace) %{_sysconfdir}/vfs
%{_libdir}/*.so.*
%dir %{_libdir}/vfs
%{_libdir}/vfs/extfs
%dir %{_libdir}/vfs/modules
%{_libdir}/vfs/modules/*.so*
%{_mandir}/man5/*
%{_datadir}/application-registry
%{_datadir}/gtk-doc/html/*
%{_datadir}/mime-info/*

%files devel
%defattr(-, root, root)
%{_bindir}/*
%{_includedir}/gnome-vfs-1.0
%{_libdir}/*a
%{_libdir}/*.sh
%{_libdir}/vfs/modules/*a
%{_libdir}/*.so
%{_libdir}/gnome-vfs-1.0


%changelog
* Mon Oct 29 2001 Build User <builder@rh7-build.linuxweasel.com>
- fixed BuildRequires
- fixed %files section

* Wed May 30 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- moved vfs modules to main package

* Fri May 25 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- removed unnecessary %defines
- fixed %files section
- replaced Copyright with License
- reformatted Requires and BuildRequires

* Wed Mar 21 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fix dependancies

* Mon Feb 19 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fix paths and macros

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
